Netgate Blog

pfSense® Release 2.3.x EOL Reminder

Network security is serious business so let’s get right to the point: pfSense® software version 2.3.x is nearing End Of Life, October 31, 2018.

As we announced previously, pfSense software version 2.4.x releases deprecated support for 32-bit x86 hardware and NanoBSD installations. We promised to maintain version 2.3.x with security updates for at least a year and that time is near. It is time to implement upgrades on affected security solution platforms to supported hardware, such as these Netgate® appliances.

While pfSense version 2.3.x will continue to operate, a firewall is only as good as its updates. New vulnerabilities are discovered continually, so the longer an unsupported release is in use, the more likely it is to be affected. Consult the pfSense Book for information on upgrading an existing installation to ensure upgrades go smoothly.

As always, we appreciate everything our customers and the community have done to make pfSense software a strong open-source project. Thank you for your loyalty and support.